<?php

namespace FiloBlu\DisableShop\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    public function getConfig($config_path, $section = 'filoblu_disableshop_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }
    
    public function canDisableShop() {
        return $this->getConfig("general/disable_shop");
    }
    
    public function canHidePrice() {
            return $this->getConfig("general/hide_price");
    }
    
    public function getCategoriesDisabledShop() {
            return $this->getConfig("general/disable_shop_category");
    }
    
    public function getCategoriesHidePrice() {
            return $this->getConfig("general/hide_price_category");
    }

}
